import java.awt.*;

/**
 * Diese Klasse liefert spezielle "Lonely PacMan"-Panel.
 */
public class LPMPanel extends Panel {

  /** Die Gre des Panels. */
  private static final Dimension SIZE = new Dimension(200,200);

  /**
   * Der Konstruktor.
   * @param pacMan Das PacMan-Objekt, welches im Panel sichtbar sein soll.
   */
  public LPMPanel (PacMan pacMan) {
    // Layoutmanager ausschalten, weil wir die Position von PacMan
    // manuell steuern wollen
    setLayout(null);
    // PacMan ins Panel einfgen
    add(pacMan);
    // initial in die Mitte
    pacMan.setLocation(SIZE.width / 2, SIZE.height / 2);
  }

  /**
   * Diese Methode gibt die gewnschte Gre des Panels zurck.
   * @return Die Gre.
   */
  public Dimension getPreferredSize () { return SIZE; }

  /**
   * Diese Methode gibt die minimal bentigte Gre des Panels zurck.
   * @return Die Gre.
   */
  public Dimension getMinimumSize () { return SIZE; }
}
